org.codehaus.classworlds

## Class ClassWorldAdapter

- java.lang.Object
- - org.codehaus.classworlds.ClassWorld
  - - org.codehaus.classworlds.ClassWorldAdapter

Deprecated.

    @Deprecated
    public class ClassWorldAdapter
    extends ClassWorld

An adapter for ClassWorlds

Author:
  Andrew Williams

### Method Summary

Methods
`void` `disposeRealm(String id)` Deprecated.
`static ClassWorldAdapter` `getInstance(ClassWorld newWorld)` Deprecated.
`ClassRealm` `getRealm(String id)` Deprecated.
`Collection` `getRealms()` Deprecated.
`ClassRealm` `newRealm(String id)` Deprecated.
`ClassRealm` `newRealm(String id, ClassLoader classLoader)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClassWorldAdapter getInstance(ClassWorld newWorld)

Deprecated.

#### newRealm

    public ClassRealm newRealm(String id)
                        throws DuplicateRealmException

Deprecated.

Overrides:
  `newRealm` in class `ClassWorld`
Throws:
  `DuplicateRealmException`

#### newRealm

    public ClassRealm newRealm(String id,
                      ClassLoader classLoader)
                        throws DuplicateRealmException

Deprecated.

Overrides:
  `newRealm` in class `ClassWorld`
Throws:
  `DuplicateRealmException`

#### disposeRealm

    public void disposeRealm(String id)
                      throws NoSuchRealmException

Deprecated.

Overrides:
  `disposeRealm` in class `ClassWorld`
Throws:
  `NoSuchRealmException`

#### getRealm

    public ClassRealm getRealm(String id)
                        throws NoSuchRealmException

Deprecated.

Overrides:
  `getRealm` in class `ClassWorld`
Throws:
  `NoSuchRealmException`

#### getRealms

    public Collection getRealms()

Deprecated.

Overrides:
  `getRealms` in class `ClassWorld`